cURL
curl --request GET \
--url 'https://api.coinstats.app/v1/prediction/traders/<address>/category-stats' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/prediction/traders/<address>/category-stats', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/prediction/traders/<address>/category-stats")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/prediction/traders/{address}/category-stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"timestamp": "2025-06-19T12:00:00.000Z",
"data": [
{
"tagId": "<string>",
"label": "<string>",
"slug": "<string>",
"parentId": 123,
"volume": 123,
"fees": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"tradeCount": 123,
"marketsTraded": 123,
"winCount": 123,
"lossCount": 123,
"winRate": 123,
"roi": 123
}
],
"cached": true,
"cacheAgeMs": 123,
"refreshing": true,
"positions": {
"best": [
{
"conditionId": "<string>",
"marketTitle": "<string>",
"marketSlug": "<string>",
"outcome": "<string>",
"avgPrice": 123,
"currentPrice": 123,
"sharesBought": 123,
"invested": 123,
"currentValue": 123,
"won": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"roi": 123,
"isClosed": true,
"isOpen": true,
"endDate": "<string>"
}
],
"worst": [
{
"conditionId": "<string>",
"marketTitle": "<string>",
"marketSlug": "<string>",
"outcome": "<string>",
"avgPrice": 123,
"currentPrice": 123,
"sharesBought": 123,
"invested": 123,
"currentValue": 123,
"won": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"roi": 123,
"isClosed": true,
"isOpen": true,
"endDate": "<string>"
}
]
},
"meta": {
"totalCategories": 123,
"totalMarkets": 123,
"totalPositions": 123,
"uncategorizedMarkets": 123,
"filtered": true,
"rawTagCount": 123
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Prediction · Traders
Trader Category Stats
Per-category analytics + best/worst positions
GET
/
v1
/
prediction
/
traders
/
{address}
/
category-stats
cURL
curl --request GET \
--url 'https://api.coinstats.app/v1/prediction/traders/<address>/category-stats' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/prediction/traders/<address>/category-stats', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/prediction/traders/<address>/category-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/prediction/traders/<address>/category-stats")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/prediction/traders/{address}/category-stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"timestamp": "2025-06-19T12:00:00.000Z",
"data": [
{
"tagId": "<string>",
"label": "<string>",
"slug": "<string>",
"parentId": 123,
"volume": 123,
"fees": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"tradeCount": 123,
"marketsTraded": 123,
"winCount": 123,
"lossCount": 123,
"winRate": 123,
"roi": 123
}
],
"cached": true,
"cacheAgeMs": 123,
"refreshing": true,
"positions": {
"best": [
{
"conditionId": "<string>",
"marketTitle": "<string>",
"marketSlug": "<string>",
"outcome": "<string>",
"avgPrice": 123,
"currentPrice": 123,
"sharesBought": 123,
"invested": 123,
"currentValue": 123,
"won": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"roi": 123,
"isClosed": true,
"isOpen": true,
"endDate": "<string>"
}
],
"worst": [
{
"conditionId": "<string>",
"marketTitle": "<string>",
"marketSlug": "<string>",
"outcome": "<string>",
"avgPrice": 123,
"currentPrice": 123,
"sharesBought": 123,
"invested": 123,
"currentValue": 123,
"won": 123,
"realizedPnl": 123,
"unrealizedPnl": 123,
"totalPnl": 123,
"roi": 123,
"isClosed": true,
"isOpen": true,
"endDate": "<string>"
}
]
},
"meta": {
"totalCategories": 123,
"totalMarkets": 123,
"totalPositions": 123,
"uncategorizedMarkets": 123,
"filtered": true,
"rawTagCount": 123
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}3 credits per request
You will get
You will get
- The trader’s performance broken down by market category/tag: volume, PnL, win rate, and ROI per category.
- Their best and worst individual positions.
topLevelOnlycollapses to parent categories;fresh=truebypasses the cache.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Path Parameters
Query Parameters
Available options:
true, false Bypass cache
Available options:
true, false Response
Whether the request succeeded
Example:
true
ISO 8601 timestamp the response was generated
Example:
"2025-06-19T12:00:00.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I